=== contrib/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 include ../Rules.make
 
-all: make-modules make-sglite make-pyopengl
+all: make-modules make-sglite make-pyopengl make-champ
 
 static:
 	cd modules;$(MAKE) -f Makefile.static
 	cd sglite;$(MAKE) static
 	cd pyopengl;$(MAKE) static
+	cd champ;$(MAKE) static
 
 make-modules:
 	cd modules;echo installdir=$(PYMOL_PATH)/modules > Makefile.pre.in 
@@ -31,15 +32,12 @@
 
 make-champ:
 	cd champ;$(MAKE) 
-	mv champ/*.so ../modules/pymol
+#	mv champ/*.so ../modules/pymol
 
 clean: 
 	cd sglite;$(MAKE) clean
+	cd champ;$(MAKE) clean
 	/bin/rm -f */*.o
 
 distclean: clean
 	cd sglite;$(MAKE) distclean
-
-
-
-
