=== contrib/champ/Makefile ===
--- 
+++ 
@@ -13,8 +13,10 @@
 	$(CC) -M $(CFLAGS) $< | sed 's/$*\\.o[ :]*/& $@/g;s/[^ ]*\/usr\/[^ ]*//g;s/[^ ]*\/ext\/[^ ]*//g' > $@
 
 module: $(DEPS) $(OBJS)
-	$(CC) $(CCOPT1) -shared *.o -o _champ.so $(GLLIBS)
-	mv _champ.so ../../modules
+	$(CC) $(CCOPT1) $(BUILD) *.o -o _champ.so $(GLLIBS)
+	mv _champ.so ../../modules/chempy/champ/
+
+static: $(DEPS) $(OBJS)
 
 depends: $(DEPS)
 	cat *.p > .depends;cat .files .depends > .includes;
