## pymol 0.98

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 MDP=$(MINDEP)/pymol
 
 .includes:
+	cd ov/src;$(PRIME)
 	cd layer0;$(PRIME)
 	cd layer1;$(PRIME)
 	cd layer2;$(PRIME)
@@ -18,6 +19,7 @@
 	touch .includes
 
 .update:
+	cd ov/src;$(MAKE)
 	cd layer0;$(MAKE)
 	cd layer1;$(MAKE)
 	cd layer2;$(MAKE)
@@ -26,6 +28,9 @@
 	cd layer5;$(MAKE)
 	touch .update
 
+ov: 
+	cd ov/src;$(MAKE)
+
 0:
 	cd layer0;$(MAKE)
 
@@ -46,6 +51,7 @@
 
 .depends: 
 	/bin/rm -f .includes
+	cd ov/src;$(MAKE) depends
 	cd layer0;$(MAKE) depends
 	cd layer1;$(MAKE) depends
 	cd layer2;$(MAKE) depends
@@ -59,17 +65,25 @@
 
 contrib: .contrib
 
+lib:  .includes .depends .update 
+	/bin/rm -f .update .includes
+	ar crv libPyMOL.a */*.o ov/src/*.o 
+	ranlib libPyMOL.a
+
 unix: .includes .depends .update 
 	/bin/rm -f .update .includes
-	$(CC) $(BUILD) $(DEST) */*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	
+
 
 semistatic: .includes .depends .update
 	/bin/rm -f .update .includes
 	cd contrib;$(MAKE) static
-	$(CC) $(BUILD) $(DEST) */*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	
-
-unix-mindep-build: semistatic
-	$(PYTHON_EXE) modules/compile_pymol.py
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)	
+	$(PYTHON_EXE) modules/compile_pymol.py
+
+# need to be root to do this...
+
+unix-mindep: semistatic
 	/bin/rm -rf $(MINDEP)
 	install -d $(MDP)/ext/lib
 	cp -r modules $(MDP)
@@ -78,19 +92,26 @@
 	cp -r examples $(MDP)
 	cp -r scripts $(MDP)
 	cp -r pymol.exe $(MDP)
-	cp -r ext/lib/python2.2 $(MDP)/ext/lib
+	cp -r ext/lib/python2.3 $(MDP)/ext/lib
 	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
 	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
-	/bin/rm -f $(MDP)/ext/lib/python2.2/config/libpython2.2.a
-	/bin/rm -rf $(MDP)/ext/lib/python2.2/test
+	/bin/rm -f $(MDP)/ext/lib/python2.3/config/libpython2.3.a
+	/bin/rm -rf $(MDP)/ext/lib/python2.3/test
 	cp LICENSE $(MDP)
 	cp README $(MDP)
 	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
 	cp setup/setup.sh.unix-mindep $(MDP)/setup.sh
+
+unix-beta: unix-mindep
+	cp epymol/data/pymol/beta/splash.png $(MDP)/data/pymol/splash.png
 	cd $(MINDEP);chown -R nobody pymol
 	cd $(MINDEP);chgrp -R nobody pymol
-
-unix-mindep: unix-mindep-build
+	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz
+
+unix-product: unix-mindep
+	cp epymol/data/pymol/splash.png $(MDP)/data/pymol/splash.png
+	cd $(MINDEP);chown -R nobody pymol
+	cd $(MINDEP);chgrp -R nobody pymol
 	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz
 
 unix-helper: unix-mindep-build
@@ -109,11 +130,11 @@
 	cp -r data $(MDP)	
 	cp -r examples $(MDP)
 	cp -r pymol.exe $(MDP)
-	cp -r ext/lib/python2.2 $(MDP)/ext/lib
+	cp -r ext/lib/python2.3 $(MDP)/ext/lib
 	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
 	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
-	/bin/rm -f $(MDP)/ext/lib/python2.2/config/libpython2.2.a
-	/bin/rm -rf $(MDP)/ext/lib/python2.2/test
+	/bin/rm -f $(MDP)/ext/lib/python2.3/config/libpython2.3.a
+	/bin/rm -rf $(MDP)/ext/lib/python2.3/test
 	cp LICENSE $(MDP)
 	cp README $(MDP)
 	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
@@ -121,6 +142,44 @@
 	cd $(MINDEP);chown -R nobody.nobody pymol
 	cd $(MINDEP);tar -cvf - pymol |gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz
 
+# Sharp3D display running under linux
+
+unix-s3d: .includes .depends .update 
+	cd sharp3d/src; $(MAKE)
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o sharp3d/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS) -Lsharp3d/lib -lsgl.1.3 -lspl.1.2 
+
+unix-s3d-semistatic: .includes .depends .update
+	/bin/rm -f .update .includes
+	cd contrib;$(MAKE) static
+	cd sharp3d/src; $(MAKE)
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o sharp3d/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS) -Lsharp3d/lib -lsgl.1.3 -lspl.1.2 
+
+unix-s3d-build: unix-s3d-semistatic
+	$(PYTHON_EXE) modules/compile_pymol.py
+	/bin/rm -rf $(MINDEP)
+	install -d $(MDP)/ext/lib
+	cp -r modules $(MDP)
+	cp -r test $(MDP)
+	cp -r data $(MDP)	
+	cp -r examples $(MDP)
+	cp -r scripts $(MDP)
+	cp -r pymol.exe $(MDP)
+	cp -r ext/lib/python2.3 $(MDP)/ext/lib
+	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
+	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
+	cp sharp3d/lib/* $(MDP)/ext/lib/
+	/bin/rm -f $(MDP)/ext/lib/python2.3/config/libpython2.3.a
+	/bin/rm -rf $(MDP)/ext/lib/python2.3/test
+	cp LICENSE $(MDP)
+	cp README $(MDP)
+	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
+	cp setup/setup.sh.unix-s3d $(MDP)/setup.sh
+	cd $(MINDEP);chown -R nobody pymol
+	cd $(MINDEP);chgrp -R nobody pymol
+
+unix-s3d-product: unix-s3d-build
+	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-sharp3d.tgz
+
 #windows: .includes .depends .update 
 #
 #	echo "EXPORTS" > _cmd.def
@@ -133,7 +192,7 @@
 
 fast: .update
 	/bin/rm -f .update 
-	$(CC) $(BUILD) */*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)
+	$(CC) $(BUILD) */*.o ov/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)
 
 depends: 
 	/bin/rm -f */*.p
@@ -148,9 +207,10 @@
 
 clean: 
 	touch .no_fail
-	/bin/rm -f layer*/*.o layer*/*.p modules/*/*.pyc modules/*/*/*.pyc \
-	layer*/.files layer*/.depends layer*/.includes \
-	*.log core */core game.* log.* _cmd.def .update .contrib .no_fail*
+	/bin/rm -f layer*/*.o ov/src/*.o layer*/*.p modules/*/*.pyc modules/*/*/*.pyc \
+	layer*/.files layer*/.depends layer*/.includes layerOSX*/src*/*.o \
+	*.log core */core game.* log.* _cmd.def .update .contrib .no_fail* \
+	libPyMOL.a
 	cd contrib;$(MAKE) clean
 
 distclean: clean
@@ -178,9 +238,8 @@
 compileall:
 	$(PYTHON_EXE) modules/compile_pymol.py
 
-# Everything below here is for the MacPyMOL Incentive Product, which is
-# not currently Open-Source (though that may change in the future).
-# Compilation of MacPyMOL requires layerOSX.
+# Everything below here is for the MacPyMOL Incentive Product
+# Compilation of MacPyMOL requires layerOSX source code (closed source)
 
 OSXPROD=products/MacPyMOL.app
 OSXVIEWER=products/PyMOLViewer.app
@@ -194,11 +253,11 @@
 
 osx-wrap:
 	/bin/rm -rf $(OSXPYMOL) $(OSXEXE) $(OSXPY)
-	/usr/local/bin/tar -czvf layerOSX/bundle/app.hfstar $(OSXPROD)
+	$(PYMOL_PATH)/layerOSX/tar -czvf layerOSX/bundle/app.hfstar $(OSXPROD)
 
 osx-unwrap:
 	/bin/rm -rf $(OSXPROD)
-	/usr/local/bin/tar -xzvf layerOSX/bundle/app.hfstar
+	$(PYMOL_PATH)/layerOSX/tar -xzvf layerOSX/bundle/app.hfstar
 
 osx-python-framework:
 	cc layerOSX/bundle/python.c -o $(OSXEXE) $(DEFS)\
@@ -210,8 +269,9 @@
 $(PYTHON_INC_DIR) -Lext/lib -Lext/lib/python2.3/config -lpython2.3 \
 -framework CoreFoundation -lc -Wno-long-double -D_PYMOL_OSX_PYTHONHOME
 
+
 osx: 
-	cd layerOSX; $(MAKE)
+	cd layerOSX/src; $(MAKE)
 	$(MAKE) 
 
 osx-dev: osx
@@ -220,12 +280,14 @@
 osx-pdev:
 	/bin/rm -rf $(OSXPYMOL)/modules/pymol
 	cp -R modules/pymol $(OSXPYMOL)/modules/pymol
+	cp -R layerOSX/plugin/pmg_aqua $(OSXPYMOL)/modules/
 
 osx-product: osx 
 	$(PYTHON_EXE) modules/compile_pymol.py
 	/bin/rm -rf $(OSXPYMOL)
 	install -d $(OSXPYMOL)
 	cp -R modules $(OSXPYMOL)/
+	cp -R layerOSX/plugin/pmg_aqua $(OSXPYMOL)/modules/
 	cp -R test $(OSXPYMOL)/
 	cp -R data $(OSXPYMOL)/	
 	cp -R scripts $(OSXPYMOL)/	
@@ -260,7 +322,7 @@
 	/bin/rm -r $(OSXFRWK)/Contents/Resources/English.lproj/MainMenu~.nib
 
 mac: osx-standalone
-	/bin/cp layerOSX/bundle/splash.png $(OSXPYMOL)/data/pymol/
+	/bin/cp epymol/data/pymol/splash.png $(OSXPYMOL)/data/pymol/
 
 mac-helper: mac
 	/bin/rm -rf $(OSXHELPER)
@@ -285,13 +347,16 @@
 	/bin/cp -R $(OSXPROD) $(OSXHYBRID)
 	sed 's/MacPyMOL/PyMOLX11Hybrid/' $(OSXHYBRID)/Contents/Info.plist > $(OSXHYBRID)/Contents/Info.plist.tmp
 	mv $(OSXHYBRID)/Contents/Info.plist.tmp $(OSXHYBRID)/Contents/Info.plist
-	/bin/cp data/pymol/splash.png $(OSXHYBRID)/pymol/data/pymol/
+	/bin/cp epymol/data/pymol/splash.png $(OSXHYBRID)/pymol/data/pymol/
 	/bin/rm -r $(OSXHYBRID)/Contents/Resources/English.lproj/MainMenu.nib
 	/bin/rm -r $(OSXHYBRID)/Contents/Resources/English.lproj/MainMenu~.nib
 	/bin/cp -r ext/lib/tcl8.4 $(OSXHYBRID)
 	/bin/cp -r ext/lib/tk8.4 $(OSXHYBRID)
 
 
+mac-hybrid-beta: mac-hybrid
+	/bin/cp epymol/data/pymol/beta/splash.png $(OSXHYBRID)/pymol/data/pymol/
+
 mac-beta:
 	make distclean
 	make mac
