=== contrib/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 	cd modules;$(MAKE) -f Makefile.static
 	cd sglite;$(MAKE) static
 	cd pyopengl;$(MAKE) static
+	touch champ/.includes
+	cd champ;$(MAKE) prime
 	cd champ;$(MAKE) static
 
 make-modules:
@@ -36,7 +38,7 @@
 
 clean: 
 	cd sglite;$(MAKE) clean
-	cd champ;$(MAKE) clean
+	cd champ;touch .includes;$(MAKE) clean
 	/bin/rm -f */*.o
 
 distclean: clean
