=== contrib/champ/Makefile ===
--- 
+++ 
@@ -5,6 +5,9 @@
 include .includes
 
 PRIME = ls *.c | sed 's/.c$$/.o/'| awk 'BEGIN{printf("OBJS=")}{printf("%s ",$$1)}END{print}'>.files;ls *.c | sed 's/.c$$/.p/'| awk 'BEGIN{printf("DEPS=")}{printf("%s ",$$1)}END{print}'>>.files; touch .depends; cat .files .depends > .includes
+
+prime:
+	$(PRIME)
 
 .includes:
 	$(PRIME)
