=== ov/src/Makefile ===

include ../../Rules.make

CFLAGS =  $(C_FLAGS)

all: layer

include .includes

.c.p:
	$(CC) -M $(CFLAGS) $< | sed 's/$*\\.o[ :]*/& $@/g;s/[^ ]*\/usr\/[^ ]*//g;s/[^ ]*\/ext\/[^ ]*//g' > $@

layer: $(DEPS) $(OBJS)

depends: $(DEPS)
	cat *.p > .depends;cat .files .depends > .includes;
