## pymol 1.4.1

=== debian/changelog ===
pymol (1.4.1-3) unstable; urgency=low

  * debian/control (Build-Depends): Dropped dpatch in favour of source
    format 3.0 (quilt).
  * debian/pymol.pyremove: Added. Remove web/*__init__.py to fix file conflict
    (closes: #650756).
  * debian/rules: Remove dpatch addon call. Disable verbose output.
    (override_dh_clean): Don't remove test/pymol-test; quilt will do.
  * debian/README.source: Dropped obsolete file.
  * debian/source/lintian-overrides: Ditto.
  * debian/patches/02_test-suite.dpatch: Renamed to
    debian/patches/02_test-suite.patch.
  * debian/patches/03_povray.dpatch: Renamed to
    debian/patches/03_povray.patch.
  * debian/patches/05_examples_data_path.dpatch: Renamed to
    debian/patches/05_examples_data_path.patch.
  * debian/patches/09_chempy_data_path.dpatch: Renamed to
    debian/patches/09_chempy_data_path.patch.
  * debian/patches/11_fix__cmd_import.dpatch: Renamed to
    debian/patches/11_fix__cmd_import.patch.
  * debian/patches/13_activate_vmd_plugin.dpatch: Renamed to
    debian/patches/13_activate_vmd_plugin.patch.
  * debian/patches/17_cmyk_png_data_path.dpatch: Renamed to
    debian/patches/17_cmyk_png_data_path.patch.
  * debian/patches/19_blosum_matrix_path.dpatch: Renamed to
    debian/patches/19_blosum_matrix_path.patch.
  * debian/patches/20_output_license_terms.dpatch: Renamed to
    debian/patches/20_output_license_terms.patch.
  * debian/patches/21_fix_png_batch_mode.dpatch: Renamed to
    debian/patches/21_fix_png_batch_mode.patch.
  * debian/patches/22_fix_pymol_import.dpatch: Renamed to
    debian/patches/22_fix_pymol_import.patch.
  * debian/patches/23_bts576210_FTBFS_ia64.dpatch: Renamed to
    debian/patches/23_bts576210_FTBFS_ia64.patch.
  * debian/patches/24_autodock_plugin.dpatch: Renamed to
    debian/patches/24_autodock_plugin.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 04 Dec 2011 22:53:06 +0100

pymol (1.4.1-2) unstable; urgency=low

  * For whatever reason (dh compat level or dh_python2 usage) dependencies
    for all .so files are now calculated (closes: #611436).
  * debian/compat: Increased dh compatibility level to 7.
  * debian/control: Added X-Python-Version and XB-Python-Version field.
    (Standards-Version): Bumped to 3.9.2.
    (Build-Depends): Added dpatch version for debhelper addon.
    spelling-error-in-description
    (Vcs-Browser): Point to real location.
    (Description): Fixed spelling-error-in-description.
  * debian/pymol.docs: Added.
  * debian/pymol.manpages: Ditto.
  * debian/rules: Rewritten for debhelper 7. Make use of python2 and dpatch
    debhelper addons. Install shader files (closes: #644394).
  * debian/source/format: Added for source format 3.0.
  * debian/source/lintian-overrides: Temporarily added as long as we stay with
    dpatch here.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 30 Nov 2011 21:51:42 +0100

pymol (1.4.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/watch: Adjusted to catch the re-introduced tarball download.

 -- Michael Banck <mbanck@debian.org>  Sat, 27 Aug 2011 19:17:05 +0200

pymol (1.4~beta1-1) experimental; urgency=low

  [ Michael Banck ]
  * New upstream beta release.
  * debian/patches/13_activate_vmd_plugin: Refreshed.
  * debian/patches/18_enable_gl_shaders.dpatch: Removed, no longer needed.
  * debian/control (Build-Depends): Added libglew1.5-dev.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Apr 2011 00:26:31 +0200

pymol (1.3r2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/13_activate_vmd_plugin: Removed, no longer needed.
  * debian/patches/19_blosum_matrix_path.dpatch: Refreshed.
  * debian/patches/24_autodock_plugin.dpatch: New patch, includes the 
    autodock plugin from Daniel Seeliger.
  * debian/patches/00list: Adjusted.
  * debian/control (Standards-Version): Bumped to 3.9.1.
  * debian/control (Depends): Added ${misc:Depends}.

 -- Michael Banck <mbanck@debian.org>  Sat, 16 Apr 2011 23:12:01 +0200

pymol (1.2r2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/23_bts576210_FTBFS_ia64.dpatch
    - fix a FTBFS on ia64, working aroung a bug in GCC; thanks to Jakub Wilk for
      the report and patch; Closes: #576210

 -- Sandro Tosi <morph@debian.org>  Mon, 10 May 2010 09:34:51 +0200

pymol (1.2r2-1) unstable; urgency=low

  * New upstream release.  This upload is dedicated to the pymol founder and
    lead developer Warren DeLano, who passed away on November 3rd, 2009.

  [ Daniel Leidert (dale) ]
  * debian/patches/18_enable_gl_shaders.dpatch: Refreshed.

  [ Michael Banck ]
  * debian/patches/21_fix_png_batch_mode.dpatch: New patch, fixes PNG
    generation in batch mode, by Vincent Fourmond (closes: #560412).
  * debian/patches/22_fix_pymol_import.dpatch: New patch, fixes importing of
    pymol module from python (closes: #556878).

 -- Michael Banck <mbanck@debian.org>  Sun, 27 Dec 2009 18:55:26 +0100

pymol (1.2r1-3) unstable; urgency=low

  * debian/pymol.launch.in: Don't execute the package (closes: #550721).
    Otherwise package execution fails with python 2.6 and 3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 04 Nov 2009 00:17:15 +0100

pymol (1.2r1-2) unstable; urgency=low

  * debian/control (Build-Depends): Added python for python.mk.
  * debian/pymol.launch.in: Replace $* with $@ and add a construct to replace
    the test (closes: #549268).
  * debian/rules: Include python.mk.
    (install): Use --install-layout=deb via py_setup_install_args (closes:
    #547871).
  * debian/patches/02_test-suite.dpatch: Adjusted.
    - test/pymol-test: Include /usr/lib/pythonX.Y/dist-packages too.
  * debian/patches/20_output_license_terms.dpatch: Added.
    - Show the Debian package copyright file when using 'Output License
      Terms', which fully reproduces the LICENSE file.
  * debian/patches/00list: Adjusted.


