=== debian/control ===
Source: pymol
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 7.0.50~), python, python-dev,
 python-numpy, freeglut3-dev, libglew1.5-dev, libpng12-0-dev, tk8.4-dev,
 libfreetype6-dev, python-support (>= 0.4), texlive-latex-base
Standards-Version: 3.9.2
X-Python-Version: current
Homepage: http://www.pymol.org
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/pymol
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/pymol/
DM-Upload-Allowed: yes

Package: pymol
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-tk, python-pmw
Recommends: apbs
XB-Python-Version: ${python:Versions}
Description: Molecular Graphics System
 PyMOL is a molecular graphics system targeted at medium to large
 biomolecules like proteins. It can generate high-quality publication-ready
 molecular graphics images and animations. 
 .
 Features include:
  * Visualization of molecules, molecular trajectories and surfaces
    of crystallography data or orbitals
  * Molecular builder and sculptor
  * Internal raytracer and movie generator
  * Fully extensible and scriptable via a Python interface
 .
 File formats PyMOL can read include PDB, XYZ, CIF, MDL Molfile, ChemDraw,
 CCP4 maps, XPLOR maps and Gaussian cube maps.
