## pymol 1.5.0.1

=== debian/changelog ===
pymol (1.5.0.1-2) unstable; urgency=low

  * debian/patches/26_subversion_updates.patch: New patch, includes the fixes
    from subversion since 1.5.0.1 up to revision 3996.
  * debian/upstream: New file.
  * debian/pymolRef.tex: Updated with latest version from
    http://www.pymolwiki.org/index.php/CheatSheet.

 -- Michael Banck <mbanck@debian.org>  Wed, 02 May 2012 18:11:37 +0200

pymol (1.5.0.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/patches/13_activate_vmd_plugin.patch: Refreshed. 
  * debian/patches/19_blosum_matrix_path.patch: Refreshed.
  * debian/patches/23_bts576210_FTBFS_ia64.patch: Removed, no longer needed.
  * debian/patches/25_ignore_setup_clean_errors.patch: New patch, includes a
    failure if setup.py is run with "clean" as argument. 
  * debian/rules (override_dh_clean): Remove some new leftover files.
  * debian/patches/patches/13_activate_vmd_plugin.patch: Revert some changes
    since 1.4.1 which make the molfile plugin fail to build.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Feb 2012 21:45:17 +0100
