=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,9 @@
 	(cd test && python run)
 
 override_dh_clean:
-	$(RM) -r build test/tmp test/cmp
+	$(RM) -r build test/tmp test/cmp generated
 	dh_clean debian/pymol.launch debian/pymol-ref-card.* \
-	         Rules.make
+	         Rules.make create_shadertext.pyc
 
 override_dh_install: debian/pymol-ref-card.pdf debian/pymol.launch
 	dh_install data/shaders usr/lib/python$(PYTHON_VERSION)/dist-packages/pymol/data/
