=== debian/watch ===
# See uscan(1) for format
# TODO: http://pymol.svn.sourceforge.net/viewvc/pymol/tags.tar.gz?view=tar
# opts=uversionmangle=s/^/0~svn\./,downloadurlmangle=s/xmds\?view.*$/xmds\/trunk\/xmds-doc.tar.gz\?view=tar/,filenamemangle=s/^.*revision=(\d+)$/xmds-doc-0~svn.$1.tar.gz/ \
#
#  http://xmds.svn.sourceforge.net/viewvc/xmds/trunk/xmds-doc/ .*revision=(\d+)$
#
#version=3
#opts=uversionmangle=s/^(?!1)0?([\d]+)/0\.$1/;s/(.*)rc(.*)/$1~$2/, \
# http://pymol.svn.sourceforge.net/viewvc/pymol/tags/ /viewvc/pymol/tags/(?:[rv])?([\d\.]+(?:r\d+)?)(?:rc\d+)?/

version=3
opts=uversionmangle=s/b(\d+)/~beta$1/g, \
 http://sf.net/pymol/pymol-v?([^-]+)(?:-src)?\.tar\.bz2
