## pymol 1.7.0.0

=== debian/changelog ===
pymol (1.7.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/30_pymol_data_path.patch: New patch, uses PYMOL_DATA instead
    of PYMOL_PATH environment variable for data file location.

 -- Michael Banck <mbanck@debian.org>  Mon, 20 Jan 2014 17:43:21 +0100

pymol (1.6.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced the obsolete tk8.4-dev by tk-dev in build dependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Oct 2013 20:45:06 +0400

pymol (1.6.0.0-1) unstable; urgency=low

  * New upstream prelease.
    - Fixes session saving/loading (closes: #668586).

  [ Michael Banck ]
  * debian/patches/11_fix__cmd_import.patch: Removed, no longer needed.
  * debian/patches/26_subversion_updates.patch: Likewise.
  * debian/pymol.install: Install data and scripts directories under
    /usr/share/pymol, as intended by upstream.
  * debian/pymol.launch.in: Updated for new data path location.
  * debian/patches/05_examples_data_path.patch: Removed, no longer needed.
  * debian/patches/09_chempy_data_path.patch: Likewise.
  * debian/patches/13_activate_vmd_plugin.patch: Likewise.
  * debian/patches/17_cmyk_png_data_path.patch: Likewise.
  * debian/patches/19_blosum_matrix_path.patch: Likewise.
  * debian/patches/20_output_license_terms.patch: Likewise.
  * debian/patches/25_ignore_setup_clean_errors.patch: Likewise.
  * debian/rules (override_dh_auto_clean): Do not abort on failure and remove
  * redundant call to setup.py.
  * debian/patches/22_fix_pymol_import.patch: Change the value of $PYMOL_PATH
    to the one found by find_module('pymol').
  * debian/patches/28_no_data_install_in_python_path.patch: New patch, skips
    installation of the data (and examples, test) directories into the pymol
    path.
  * debian/patches/29_fix_path_to_splash.patch: New patch, changes search path
    for splash image from $PYMOL_PATH to $PYMOL_DATA.
  * debian/patches/series: Disable 24_autodock_plugin.patch for now, as it does
    work currently.
  * debian/control (Standards-Version): Bumped to 3.9.4.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Depends): Added python-numpy (LP: #1076104).
    (Suggests): Added chemical-mime-data.
  * debian/gnome-pymol.desktop: Dropped unused file.
  * debian/pymol.desktop (MimeType, Exec): Additions (LP: #1087265).
  * debian/pymol.launch.in: Environmental path variables (LP: #925445).
  * debian/upstream: Minor additions.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 08 Aug 2013 20:32:10 +0200
