=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_auto_clean -Spython_distutils
-	python setup.py clean
+	-dh_auto_clean -Spython_distutils
 
 override_dh_auto_test:
 	#dh_auto_test
@@ -32,6 +31,7 @@
 	         Rules.make create_shadertext.pyc
 
 override_dh_install: debian/pymol-ref-card.pdf debian/pymol.launch
+	dh_numpy
 	dh_install data/shaders usr/lib/python$(PYTHON_VERSION)/dist-packages/pymol/data/
 	install -m 755 debian/pymol.launch debian/pymol/usr/bin/pymol
