## pymol 1.7.1.3

=== debian/changelog ===
pymol (1.7.1.3-1) unstable; urgency=low

  * New upstream point release.
  * debian/patches/30_pymol_data_path.patch: Removed: applied upstream.

 -- Michael Banck <mbanck@debian.org>  Wed, 21 May 2014 17:54:04 +0200
